API Version : 2026-10-01-preview
Returns all of the details about the specified accelerator interconnect.
HTTP request
GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/acceleratorInterconnects/{acceleratorInterconnect}?$apiVersion=2026-10-01-preview The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
zone |
The name of the zone where the accelerator interconnect is located. Zone name should conform to RFC1035. |
acceleratorInterconnect |
The name of the accelerator interconnect. Name should conform to RFC1035. Authorization requires the following IAM permission on the specified resource
|
Request body
The request body must be empty.
Response body
Represents an Accelerator Interconnect resource.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "selfLinkWithId": string, "zone": string, "acceleratorTopology": string, "labels": { string: string, ... }, "annotations": { string: string, ... }, "status": { "state": enum, "stateDetails": { "timestamp": string, "error": { "errors": [ { "code": string, "location": string, "message": string, "errorDetails": [ { "errorInfo": { "reason": string, "domain": string, "metadatas": { string: string, ... } }, "quotaInfo": { "metricName": string, "limitName": string, "dimensions": { string: string, ... }, "limit": number, "futureLimit": number, "rolloutStatus": enum }, "help": { "links": [ { "description": string, "url": string } ] }, "localizedMessage": { "locale": string, "message": string } } ] } ] } }, "acceleratorType": string }, "reactivationMode": enum, "params": { "capacityPool": { "resources": [ string ], "partitionIds": [ string ] } } } |
| Fields | |
|---|---|
id |
Output only. A unique identifier for this resource type. |
creationTimestamp |
Output only. The creation time of this resource in RFC3339 text format. |
name |
The name of the resource. The name must be 1-63 characters long, and comply with RFC1035. |
description |
An optional description of this resource. |
selfLink |
Output only. The fully-qualified URL of this resource. |
selfLinkWithId |
Output only. The fully-qualified URL of this resource containing its unique identifier. |
zone |
Output only. The URL of a zone where the interconnect resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
acceleratorTopology |
The target topology shape (e.g. "4x4x8"). |
labels |
The labels for the accelerator interconnect. |
annotations |
The annotations for the accelerator interconnect. |
status |
Output only. The status of the interconnect. |
status.state |
Output only. The current state of the interconnect. |
status.stateDetails |
Output only. The result of the latest accelerator topology state check. |
status.stateDetails.timestamp |
Output only. Timestamp is shown only if there is an error. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
status.stateDetails.error |
Output only. Encountered errors. |
status.stateDetails.error.errors[] |
Output only. The array of errors encountered while processing this operation. |
status.stateDetails.error.errors[].code |
Output only. The error type identifier for this error. |
status.stateDetails.error.errors[].location |
Output only. Indicates the field in the request that caused the error. This property is optional. |
status.stateDetails.error.errors[].message |
Output only. An optional, human-readable error message. |
status.stateDetails.error.errors[].errorDetails[] |
Output only. An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED. |
status.stateDetails.error.errors[].errorDetails[].errorInfo |
Error information containing structured domain, reason, and metadata. |
status.stateDetails.error.errors[].errorDetails[].errorInfo.reason |
The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of |
status.stateDetails.error.errors[].errorDetails[].errorInfo.domain |
The logical grouping to which the "reason" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: "pubsub.googleapis.com". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is "googleapis.com". |
status.stateDetails.error.errors[].errorDetails[].errorInfo.metadatas |
Additional structured details about this error. Keys must match a regular expression of |
status.stateDetails.error.errors[].errorDetails[].quotaInfo |
Details about quota limits and metrics when a quota is exceeded. |
status.stateDetails.error.errors[].errorDetails[].quotaInfo.metricName |
The Compute Engine quota metric name. |
status.stateDetails.error.errors[].errorDetails[].quotaInfo.limitName |
The name of the quota limit. |
status.stateDetails.error.errors[].errorDetails[].quotaInfo.dimensions |
The map holding related quota dimensions. |
status.stateDetails.error.errors[].errorDetails[].quotaInfo.limit |
Current effective quota limit. The limit's unit depends on the quota type or metric. |
status.stateDetails.error.errors[].errorDetails[].quotaInfo.futureLimit |
Future quota limit being rolled out. The limit's unit depends on the quota type or metric. |
status.stateDetails.error.errors[].errorDetails[].quotaInfo.rolloutStatus |
Rollout status of the future quota limit. |
status.stateDetails.error.errors[].errorDetails[].help |
Links and information to help the user resolve the error. |
status.stateDetails.error.errors[].errorDetails[].help.links[] |
URL(s) pointing to additional information on handling the current error. |
status.stateDetails.error.errors[].errorDetails[].help.links[].description |
Describes what the link offers. |
status.stateDetails.error.errors[].errorDetails[].help.links[].url |
The URL of the link. |
status.stateDetails.error.errors[].errorDetails[].localizedMessage |
A localized human-readable error message intended for end users. |
status.stateDetails.error.errors[].errorDetails[].localizedMessage.locale |
The locale used following the specification defined at https://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: "en-US", "fr-CH", "es-MX" |
status.stateDetails.error.errors[].errorDetails[].localizedMessage.message |
The localized error message in the above locale. |
status.acceleratorType |
Output only. The accelerator type (e.g., "TPU7X"). |
reactivationMode |
The reactivation mode for the accelerator interconnect. |
params |
Input only. [Input Only] Additional params passed with the creation request, but not persisted as part of resource payload. Available from version 2026-10-01-preview. |
params.capacityPool |
The capacity pool to use for the accelerator interconnect. |
params.capacityPool.resources[] |
A list of fully qualified resource names that form the logical bounds. Both full and relative URIs are supported. |
params.capacityPool.partitionIds[] |
The list of physical topology block identifiers. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/compute.readonly
For more information, see the Authentication Overview.